Bug 444722 - Review Request: phplogcon - A syslog data viewer for the web
Review Request: phplogcon - A syslog data viewer for the web
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 05:39 EDT by Peter Vrabec
Modified: 2008-05-27 04:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.1.6-3.beta.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 04:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tmraz: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Fixed Fedora README (3.26 KB, text/plain)
2008-05-23 07:07 EDT, Tomas Mraz
no flags Details

  None (edit)
Description Peter Vrabec 2008-04-30 05:39:01 EDT
Spec URL: http://people.redhat.com/pvrabec/rpms/phplogcon.spec
SRPM URL: http://people.redhat.com/pvrabec/rpms/phplogcon-2.1.3-1.src.rpm
Description: phpLogCon is a web interface to syslog and other network event data. It provides easy browsing and some basic analysis of realtime network events.Depending on the applications feeding the database, it can process syslog messages, Windows event log entries and even SNMP trap data - just to name a few.
Comment 1 Peter Vrabec 2008-04-30 05:42:01 EDT
$ rpmlint phplogcon-2.1.3-1.noarch.rpm
phplogcon.noarch: 
W:symlink-should-be-relative /usr/share/phplogcon/config.php /etc/phplogcon/config.php
How can I fix it?

phplogcon.noarch: E: zero-length /etc/phplogcon/config.php
It's empty config file, what's the problem?

phplogcon.noarch: E: non-standard-gid /etc/phplogcon apache
phplogcon.noarch: E: non-standard-gid /etc/phplogcon/config.php apache
I have Requires: httpd"
Comment 2 Terje Røsten 2008-05-02 15:16:56 EDT
> W:symlink-should-be-relative /usr/share/phplogcon/config.php
/etc/phplogcon/config.php
> How can I fix it?

ln -s             %{_sysconfdir}/%{name}/config.php
%{buildroot}/%{_datadir}/%{name}/config.php
 => 
ln -s             ../../../%{_sysconfdir}/%{name}/config.php
%{buildroot}/%{_datadir}/%{name}/config.php 
 
> phplogcon.noarch: E: zero-length /etc/phplogcon/config.php
> It's empty config file, what's the problem?

Why is a empty file needed? Put a comment or something there or remove it.


> phplogcon.noarch: E: non-standard-gid /etc/phplogcon apache
> phplogcon.noarch: E: non-standard-gid /etc/phplogcon/config.php apache
> I have Requires: httpd"

Could be ignored.

However 
Require: webserver 
is more correct than 
Require: httpd ?

You are not using dist tags?

Put a README.fedora in %doc to explain how to do the initial setup?


 

Comment 3 Peter Vrabec 2008-05-05 11:06:22 EDT
Spec URL: http://people.redhat.com/pvrabec/rpms/phplogcon.spec
SRPM URL: http://people.redhat.com/pvrabec/rpms/phplogcon-2.3.1-1.fc7.src.rpm

thnx. for suggestions. 

I think there isn't README.fedora in tarball. I can create some howto with 
upstream later.
Comment 4 Tomas Mraz 2008-05-14 04:32:55 EDT
A few changes will be needed:

1. rpmlint barfs
rpmlint -v /home/users/tmraz/src/rpm/SRPMS/phplogcon-2.3.1-1.fc9.src.rpm
phplogcon.src: I: checking
phplogcon.src: W: mixed-use-of-spaces-and-tabs (spaces: line 31, tab: line 30)

2. As the phplogcon is not configured when the rpm is installed I suggest to
modify the apache config file so the http://<whatever>/phplogcon/ is not
accessible by default at all.

3. If the install.php is removed as suggested by it when it is run, it will be
readded when the phplogcon rpm is upgraded. So the sources should be patched to
make install.php just being ignored when phplogcon is already configured.

4. The README.fedora should be created with notes about how it could/should be
set up also there might be some notes that it preferably should be used with
mysql as the source of the logs because of permissions and selinux issues when
/var/log/.... files are used.
Comment 5 Peter Vrabec 2008-05-15 10:49:47 EDT
3.

Is this

%post
if [ "$1" -eq "2" ]; then
        rm -rf %{_datadir}/%{name}/install.php
fi

phplogcon.noarch: W: dangerous-command-in-%post rm

acceptable?

Comment 6 Tomas Mraz 2008-05-15 11:27:31 EDT
Not really because it could still be there unconfigured in the time of the
upgrade. And also it would always mean that rpm -V would barf that the
install.php is missing.
Comment 7 Peter Vrabec 2008-05-19 12:31:13 EDT
http://people.redhat.com/pvrabec/rpms/phplogcon.spec
http://people.redhat.com/pvrabec/rpms/phplogcon-2.3.1-1.fc7.src.rpm

All points from comment #4 are fixed. install.php is not removed anymore. If 
it's empty, it will be considered as not configured.

README.fedora is provided.
Comment 8 Tomas Mraz 2008-05-20 12:05:17 EDT
The link to package should be probably:
http://people.redhat.com/pvrabec/rpms/phplogcon-2.1.6-1.beta.fc7.src.rpm
Comment 9 Tomas Mraz 2008-05-20 12:12:10 EDT
I'd prefer the phplogcon.conf http config file to be in a separate file in the
src.rpm and not in the spec. I'd also prefer if it contained:

Alias /phplogcon /usr/share/phplogcon/

<Directory /usr/share/phplogcon>
    Order Deny,Allow
    Deny from All
    ErrorDocument 403 "Access denied per /etc/httpd/conf.d/phplogcon.conf."
</Directory>

This way not even the 127.0.0.1 is enabled by default and the administrator
knows which file should be fixed to get the access.
Comment 10 Tomas Mraz 2008-05-20 12:21:33 EDT
Also the README.fedora still contains instructions to rename/move the
install.php which is not necessary anymore.

There is also a typo s/change #setenfore=0/run 'setenforce 0' to switch to
permissive mode/ s/to #setenfore=1/with 'setenforce 1'/

Also adjust it with regards to my comment #9.
Comment 11 Peter Vrabec 2008-05-22 11:46:36 EDT
here we go:
http://people.redhat.com/pvrabec/rpms/phplogcon-2.1.6-1.beta.fc7.src.rpm

All the recommendations were applied, except the restricting phplogcon from
localhost. I considered it too restrictive in comparison with security hazard.
Comment 12 Tomas Mraz 2008-05-23 06:52:18 EDT
You mean http://people.redhat.com/pvrabec/rpms/phplogcon-2.1.6-2.beta.fc7.src.rpm
don't you?
Comment 13 Tomas Mraz 2008-05-23 07:07:01 EDT
Created attachment 306480 [details]
Fixed Fedora README

I still did not like the changes in README.fedora, so I have attached a fixed
one for you.
Comment 14 Tomas Mraz 2008-05-23 07:11:05 EDT
The license is GPLv3+ as I see it in the source files and not GPLv3 (version 3
only).
Comment 15 Tomas Mraz 2008-05-23 07:24:16 EDT
Why are you copying the config sample into /etc/ and then removing it? Please
fix also this.

This and comment 13 and 14 should be the last changes needed.
Comment 17 Tomas Mraz 2008-05-26 05:43:07 EDT
All problems seem to be resolved now.

rpmlint -v phplogcon-2.1.6-3.beta.fc9.src.rpm
phplogcon.src: I: checking

rpmlint -v phplogcon-2.1.6-3.beta.fc9.noarch.rpm
phplogcon.noarch: I: checking
phplogcon.noarch: E: non-standard-gid /etc/phplogcon/config.php apache
phplogcon.noarch: E: zero-length /etc/phplogcon/config.php
phplogcon.noarch: E: non-standard-gid /etc/phplogcon apache

This is OK as httpd is a required package.

The package is now approved.
Comment 18 Peter Vrabec 2008-05-26 07:43:20 EDT
New Package CVS Request
=======================
Package Name: phplogcon
Short Description: A syslog data viewer for the web
Owners: pvrabec
Branches: F-9
InitialCC:
Cvsextras Commits: yes
Comment 19 Kevin Fenzi 2008-05-26 13:15:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.